<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{user/dashboardLayout.html}">
    <head>
    </head>
    <body>

        <!-- Section-->
        <section class="py-5" layout:fragment="content">
            <div class="container px-4 px-lg-5 mt-5">
                <img th:src="${'/admin/products/images/slide1.webp'}" width="100%">
                <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                    <div class="col mb-5" th:each=" product : ${laptop}">
                        <div class="card h-100">
                            <!-- Product image-->
                            <img th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}"
                                 class="card-img-top"  alt="loi-load-anh" />
                            <!-- Product details-->
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <!-- Product name-->
                                    <h5 class="fw-bolder" th:text="${product.name}"></h5>
                                    <!-- Product price-->
                                    <span th:text="${product.unitPrice}"></span>
                                </div>
                            </div>
                            <!-- Product actions-->
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto"
                                       th:href="@{'/view/' + ${product.productId}}"
                                >View detail</a></div>
                            </div>
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a th:if="${session.username}" class="btn btn-outline-dark mt-auto" th:href="@{'/carts/add/' + ${product.productId}}">Add to cart</a>
                                    <a th:unless="${session.username}" class="btn btn-outline-dark mt-auto" th:href="@{/alogin}">Add to cart</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <img th:src="${'/admin/products/images/phone.jpg'}" width="100%">
                <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                    <div class="col mb-5" th:each=" product : ${phone}">
                        <div class="card h-100">
                            <!-- Product image-->
                            <img th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}"
                                 class="card-img-top"  alt="loi-load-anh" />
                            <!-- Product details-->
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <!-- Product name-->
                                    <h5 class="fw-bolder" th:text="${product.name}"></h5>
                                    <!-- Product price-->
                                    <span th:text="${product.unitPrice}"></span>
                                </div>
                            </div>
                            <!-- Product actions-->
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto"
                                       th:href="@{'/view/' + ${product.productId}}"
                                    >View detail</a></div>
                            </div>
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a th:if="${session.username}" class="btn btn-outline-dark mt-auto" th:href="@{'/carts/add/' + ${product.productId}}">Add to cart</a>
                                    <a th:unless="${session.username}" class="btn btn-outline-dark mt-auto" th:href="@{/alogin}">Add to cart</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </body>
</html>
